Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class SchemaTypeLoaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.xmlbeans.XmlRuntimeException
                      org.apache.xmlbeans.SchemaTypeLoaderException

All Implemented Interfaces:
  java.io.Serializable

    public class SchemaTypeLoaderException

extends XmlRuntimeException

An exception that is thrown if there is corruption or a version mismatch in a compiled schema type system.

See Also:
  Serialized Form

Field Summary
`static int` | `BAD_HANDLE`
`static int` | `BAD_PARTICLE_TYPE`
`static int` | `INT_TOO_LARGE`
`static int` | `IO_EXCEPTION`
`static int` | `MALFORMED_CONTENT_MODEL`
`static int` | `NESTED_EXCEPTION`
`static int` | `NO_RESOURCE`
`static int` | `NOT_WRITEABLE`
`static int` | `UNRECOGNIZED_INDEX_ENTRY`
`static int` | `WRONG_FILE_TYPE`
`static int` | `WRONG_MAGIC_COOKIE`
`static int` | `WRONG_MAJOR_VERSION`
`static int` | `WRONG_MINOR_VERSION`
`static int` | `WRONG_PROPERTY_TYPE`
`static int` | `WRONG_SIMPLE_VARIETY`

Constructor Summary
`SchemaTypeLoaderException(java.lang.String message, java.lang.String name, java.lang.String handle, int code)` Constructs an exception with the given message, filename, extension, and code
`SchemaTypeLoaderException(java.lang.String message, java.lang.String name, java.lang.String handle, int code, java.lang.Exception cause)` Constructs an exception with the given message, filename, extension, code, and cause

Method Summary
`int` | `getCode()` Returns the reason for the failure, given by one of the numeric constants in this class

Methods inherited from class org.apache.xmlbeans.XmlRuntimeException
`getError, getErrors`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_RESOURCE

    public static final int NO_RESOURCE

See Also:
  Constant Field Values

### WRONG_MAGIC_COOKIE

    public static final int WRONG_MAGIC_COOKIE

See Also:
  Constant Field Values

### WRONG_MAJOR_VERSION

    public static final int WRONG_MAJOR_VERSION

See Also:
  Constant Field Values

### WRONG_MINOR_VERSION

    public static final int WRONG_MINOR_VERSION

See Also:
  Constant Field Values

### WRONG_FILE_TYPE

    public static final int WRONG_FILE_TYPE

See Also:
  Constant Field Values

### UNRECOGNIZED_INDEX_ENTRY

    public static final int UNRECOGNIZED_INDEX_ENTRY

See Also:
  Constant Field Values

### WRONG_PROPERTY_TYPE

    public static final int WRONG_PROPERTY_TYPE

See Also:
  Constant Field Values

### MALFORMED_CONTENT_MODEL

    public static final int MALFORMED_CONTENT_MODEL

See Also:
  Constant Field Values

### WRONG_SIMPLE_VARIETY

    public static final int WRONG_SIMPLE_VARIETY

See Also:
  Constant Field Values

### IO_EXCEPTION

    public static final int IO_EXCEPTION

See Also:
  Constant Field Values

### INT_TOO_LARGE

    public static final int INT_TOO_LARGE

See Also:
  Constant Field Values

### BAD_PARTICLE_TYPE

    public static final int BAD_PARTICLE_TYPE

See Also:
  Constant Field Values

### NOT_WRITEABLE

    public static final int NOT_WRITEABLE

See Also:
  Constant Field Values

### BAD_HANDLE

    public static final int BAD_HANDLE

See Also:
  Constant Field Values

### NESTED_EXCEPTION

    public static final int NESTED_EXCEPTION

See Also:
  Constant Field Values

Constructor Detail

### SchemaTypeLoaderException

    public SchemaTypeLoaderException(java.lang.String message,
                                     java.lang.String name,
                                     java.lang.String handle,
                                     int code)

  Constructs an exception with the given message, filename, extension, and code

### SchemaTypeLoaderException

    public SchemaTypeLoaderException(java.lang.String message,
                                     java.lang.String name,
                                     java.lang.String handle,
                                     int code,
                                     java.lang.Exception cause)

  Constructs an exception with the given message, filename, extension, code, and cause

Method Detail

### getCode

    public int getCode()

  Returns the reason for the failure, given by one of the numeric constants in this class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD